<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="15.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="C:\NuGetLocalRepo\MSBuildGitHash.0.2.0\build\MSBuildGitHash.props" Condition="Exists('C:\NuGetLocalRepo\MSBuildGitHash.0.2.0\build\MSBuildGitHash.props')" />
  <Import Project="C:\NuGetLocalRepo\ILRepack.2.0.15\build\ILRepack.props" Condition="Exists('C:\NuGetLocalRepo\ILRepack.2.0.15\build\ILRepack.props')" />
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{D8658E56-F42A-429E-9487-4809FACA6670}</ProjectGuid>
    <OutputType>WinExe</OutputType>
    <RootNamespace>VCommon.Logging.Viewer</RootNamespace>
    <AssemblyName>VCommon.Logging.Viewer</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <AutoGenerateBindingRedirects>true</AutoGenerateBindingRedirects>
    <NuGetPackageImportStamp>
    </NuGetPackageImportStamp>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <PlatformTarget>AnyCPU</PlatformTarget>
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <ApplicationIcon>vlv.ico</ApplicationIcon>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'DebugNoGit|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\DebugNoGit\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>true</Prefer32Bit>
    <BuildHash>BYPASS</BuildHash>
    <MSBuildGitHashValue>NONE</MSBuildGitHashValue>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'ReleaseNoGit|AnyCPU'">
    <OutputPath>bin\ReleaseNoGit\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
    <Prefer32Bit>true</Prefer32Bit>
    <BuildHash>BYPASS</BuildHash>
    <MSBuildGitHashValue>NONE</MSBuildGitHashValue>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CsQuery, Version=1.3.3.249, Culture=neutral, processorArchitecture=MSIL">
      <HintPath>C:\NuGetLocalRepo\CsQuery.1.3.4\lib\net40\CsQuery.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Deployment" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DetailForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="DetailForm.designer.cs">
      <DependentUpon>DetailForm.cs</DependentUpon>
    </Compile>
    <Compile Include="ErrorForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="ErrorForm.designer.cs">
      <DependentUpon>ErrorForm.cs</DependentUpon>
    </Compile>
    <Compile Include="LogEntity.cs" />
    <Compile Include="MainForm.cs">
      <SubType>Form</SubType>
    </Compile>
    <Compile Include="MainForm.designer.cs">
      <DependentUpon>MainForm.cs</DependentUpon>
    </Compile>
    <Compile Include="Program.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Utility\FileSizeWatcher.cs" />
    <Compile Include="Utility\IconExtractor.cs" />
    <Compile Include="Utility\IconUtil.cs" />
    <Compile Include="Utility\ListViewExtensions.cs" />
    <Compile Include="Utility\NativeMethods.cs" />
    <Compile Include="Utility\OperatingFileAssistant.cs" />
    <Compile Include="Utility\TaskExtend.cs" />
    <Compile Include="Utility\WebBrowserUtility.cs" />
    <EmbeddedResource Include="DetailForm.resx">
      <DependentUpon>DetailForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="ErrorForm.resx">
      <DependentUpon>ErrorForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="MainForm.resx">
      <DependentUpon>MainForm.cs</DependentUpon>
    </EmbeddedResource>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Content Include="vlv.ico" />
    <EmbeddedResource Include="WebResources\JSON Visualization.html" />
    <EmbeddedResource Include="WebResources\JSON Visualization_files\base.css" />
    <EmbeddedResource Include="WebResources\JSON Visualization_files\default-min.js" />
    <EmbeddedResource Include="WebResources\JSON Visualization_files\default.css" />
    <EmbeddedResource Include="WebResources\JSON Visualization_files\json-min.js" />
    <EmbeddedResource Include="WebResources\JSON Visualization_files\reset-fonts.css" />
    <EmbeddedResource Include="WebResources\JSON Visualization_files\yuiloader-dom-event.js" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>这台计算机上缺少此项目引用的 NuGet 程序包。使用“NuGet 程序包还原”可下载这些程序包。有关更多信息，请参见 http://go.microsoft.com/fwlink/?LinkID=322105。缺少的文件是 {0}。</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('C:\NuGetLocalRepo\ILRepack.2.0.15\build\ILRepack.props')" Text="$([System.String]::Format('$(ErrorText)', 'C:\NuGetLocalRepo\ILRepack.2.0.15\build\ILRepack.props'))" />
    <Error Condition="!Exists('C:\NuGetLocalRepo\MSBuildGitHash.0.2.0\build\MSBuildGitHash.props')" Text="$([System.String]::Format('$(ErrorText)', 'C:\NuGetLocalRepo\MSBuildGitHash.0.2.0\build\MSBuildGitHash.props'))" />
    <Error Condition="!Exists('C:\NuGetLocalRepo\MSBuildGitHash.0.2.0\build\MSBuildGitHash.targets')" Text="$([System.String]::Format('$(ErrorText)', 'C:\NuGetLocalRepo\MSBuildGitHash.0.2.0\build\MSBuildGitHash.targets'))" />
  </Target>
  <PropertyGroup>
    <PostBuildEvent>
      if $(ConfigurationName) == Release if not exist "$(TargetDir)Packed" md "$(TargetDir)Packed"

      if $(ConfigurationName) == Release setlocal enabledelayedexpansion enableextensions
      if $(ConfigurationName) == Release set DLL_LIST=
      if $(ConfigurationName) == Release for %25%25x in ($(TargetDir)*.dll) do set DLL_LIST=!DLL_LIST! %25%25x
      if $(ConfigurationName) == Release echo dlls: !DLL_LIST!

      if $(ConfigurationName) == Release $(ILRepack) /ndebug "/out:$(TargetDir)Packed\$(TargetFileName)" "$(TargetPath)" !DLL_LIST!
      if $(ConfigurationName) == Release if exist "$(TargetDir)Packed\$(TargetFileName).config" del "$(TargetDir)Packed\$(TargetFileName).config"
</PostBuildEvent>
  </PropertyGroup>
  <Import Project="C:\NuGetLocalRepo\MSBuildGitHash.0.2.0\build\MSBuildGitHash.targets" Condition="Exists('C:\NuGetLocalRepo\MSBuildGitHash.0.2.0\build\MSBuildGitHash.targets')" />
</Project>